visualnode.cpp File Reference
`#include <gecode/gist/visualnode.hh>`
`#include <gecode/gist/layoutcursor.hh>`
`#include <gecode/gist/nodevisitor.hh>`
`#include <utility>`

Go to the source code of this file.

## Classes

class | Gecode::Gist::ShapeAllocator
| Allocate shapes statically. More...
class | Gecode::Gist::Layouter
| Helper functions for the layout algorithm. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Gist
| The Gecode Interactive Search Tool.

## Variables

ShapeAllocator | Gecode::Gist::shapeAllocator
| Allocate shapes statically.